Description

As I set-up my foreman installation to boot WinPE, over wimboot, utilizing wimboot I've noticed this only seems to work with syslinux

>= 5 (I've tested it with the latest syslinux and works like a charm).

However, currently these files get overwritten after running foreman-installer; even more, not all files are automatically deployed. This

is currently the list of files I've deployed to my TFTP proxy in order for wimboot to work:

- ldlinux.c32

- libcom32.c32

- libutil.c32

- linux.c32

- menu.c32

- pxelinux.0

Would be nice if we could actually use the latest syslinux (at the time of writing this is v6) and deploy the files mentioned above

automatically. This would at least reduce some of the burden of setting up wimaging manually.

History

#1 - 04/26/2018 02:05 PM - Lukas Zapletal

- Project changed from Smart Proxy to Installer

- Category deleted (TFTP)

Hello, our installer copies minimum set files from OS installed syslinux. Flipping to the installer team.

#2 - 08/20/2018 08:14 AM - Arend Lapere

- Triaged set to No

In addition to this, if we upgrade syslinux, we should use the new lpxelinux.0 kernel as a default; as this provides us with the ability to load files over

HTTP. Again, for windows deployments this is very much the wanted path, as this allows us to easily fetch the peSetup.cmd file.

#3 - 10/15/2018 11:34 AM - Tomer Brisker

- Target version deleted (1.17.0)

#4 - 04/23/2020 01:51 PM - Ewoud Kohl van Wijngaarden

- Category set to Foreman modules

- Triaged changed from No to Yes

At least on CentOS 7 these files are not present by default. That means we can't do this for all platforms now.

The actual code is at https://github.com/theforeman/puppet-foreman_proxy/blob/master/manifests/tftp/netboot.pp in case you want to fix it yourself.
